org.wildfly.swarm.config

## Class Infinispan<T extends Infinispan<T>>

- java.lang.Object
- - org.wildfly.swarm.config.Infinispan<T>

- Direct Known Subclasses:
    InfinispanFraction

      public class Infinispan<T extends Infinispan<T>>
      extends Object

  The configuration of the infinispan subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Infinispan.InfinispanResources` Child mutators for Infinispan

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Infinispan()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `cacheContainer(CacheContainer value)` Add the CacheContainer object to the list of subresources
    `T` | `cacheContainer(CacheContainerSupplier supplier)` Install a supplied CacheContainer object to the list of subresources
    `T` | `cacheContainer(String childKey)` Create and configure a CacheContainer object to the list of subresources
    `T` | `cacheContainer(String childKey, CacheContainerConsumer consumer)` Create and configure a CacheContainer object to the list of subresources
    `T` | `cacheContainers(List<CacheContainer> value)` Add all CacheContainer objects to this subresource
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Infinispan.InfinispanResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Infinispan

          public Infinispan()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Infinispan.InfinispanResources subresources()

    - #### cacheContainers

          public T cacheContainers(List<CacheContainer> value)

      Add all CacheContainer objects to this subresource
      Parameters:
        `value` - List of CacheContainer objects.
      Returns:
        this

    - #### cacheContainer

          public T cacheContainer(CacheContainer value)

      Add the CacheContainer object to the list of subresources
      Parameters:
        `value` - The CacheContainer to add
      Returns:
        this

    - #### cacheContainer

          public T cacheContainer(String childKey,
                                  CacheContainerConsumer consumer)

      Create and configure a CacheContainer object to the list of subresources
      Parameters:
        `key` - The key for the CacheContainer resource
        `config` - The CacheContainerConsumer to use
      Returns:
        this

    - #### cacheContainer

          public T cacheContainer(String childKey)

      Create and configure a CacheContainer object to the list of subresources
      Parameters:
        `key` - The key for the CacheContainer resource
      Returns:
        this

    - #### cacheContainer

          public T cacheContainer(CacheContainerSupplier supplier)

      Install a supplied CacheContainer object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.